aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: aMule v.2.3.1rc2 compile error under Slackware v.13.0  (Read 2556 times)

wootletootle

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
aMule v.2.3.1rc2 compile error under Slackware v.13.0
« on: October 18, 2011, 12:15:06 PM »

The ./configure script executes without error

  Libraries aMule will use to build:
                             wxWidgets             2.8.12 (gtk2,shared)
                             crypto++              5.6.1 (sources, in /usr/local/src/cryptopp561/)
                             libupnp               1.6.13
                             libintl               system
                             zlib                  1.2.3

but I get link errors beginning with

amule-CaptchaDialog.o: In function `wxStringBase':
/usr/local/include/wx-2.8/wx/string.h:368: undefined reference to `wxStringBase::InitWith(wchar_t const*, unsigned int, unsigned int)'

down to

./libmuleappgui.a(libmuleappgui_a-muuli_wdr.o):(.rodata._ZTV12wxSliderBase[vtable for wxSliderBase]+0x264): undefined reference to `wxWindow::ApplyToolTip(_GtkTooltips*, wchar_t const*)'
collect2: ld returned 1 exit status
make[2]: *** [amule] Error 1
make[1]: *** [install-recursive] Error 1
make: *** [install-recursive] Error 1


I installed both wxwidgets for both gtk+ and x11. Is it possible that the x11 install has overwritten the gtk+?

Thanks for your help.
Logged

Kry

  • Ex-developer
  • Retired admin
  • Hero Member
  • *****
  • Karma: -665
  • Offline Offline
  • Posts: 5823
Re: aMule v.2.3.1rc2 compile error under Slackware v.13.0
« Reply #1 on: October 18, 2011, 06:26:32 PM »

Possibly. But it's also possible it's not compiled with unicode support.
Logged

wootletootle

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: aMule v.2.3.1rc2 compile error under Slackware v.13.0
« Reply #2 on: October 18, 2011, 09:29:07 PM »

Possibly. But it's also possible it's not compiled with unicode support.

Thanks for your response.
You mean wxWidgets/gtk+? Yes, it is. Here is the configuration summary:

Configured wxWidgets 2.8.12 for `i686-pc-linux-gnu'

  Which GUI toolkit should wxWidgets use?                 GTK+ 2
  Should wxWidgets be compiled into single library?       no
  Should wxWidgets be compiled in debug mode?             no
  Should wxWidgets be linked as a shared library?         yes
  Should wxWidgets be compiled in Unicode mode?           yes
  What level of wxWidgets compatibility should be enabled?
                                       wxWidgets 2.4      no
                                       wxWidgets 2.6      yes
  Which libraries should wxWidgets use?
                                       jpeg               sys
                                       png                sys
                                       regex              builtin
                                       tiff               sys
                                       zlib               sys
                                       odbc               no
                                       expat              sys
                                       libmspack          no
                                       sdl                no

Should I select "Single library"?
Logged

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3764
  • Engines screaming
Re: aMule v.2.3.1rc2 compile error under Slackware v.13.0
« Reply #3 on: October 18, 2011, 10:18:25 PM »

No, it's configured fine. Probably a mixup with the other wx installed.
Either you remove all other wxs so you have just one on your system,
or you configure aMule using --with-wxdir as described here.
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

wootletootle

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: aMule v.2.3.1rc2 compile error under Slackware v.13.0
« Reply #4 on: October 20, 2011, 02:26:50 AM »

No, it's configured fine. Probably a mixup with the other wx installed.

Thanks for the advice. I removed wxX11 and did a careful re-install of wxgtk+.
Then aMule compilation succeeded.

I then ran into this aMule run-time error :

   Assertion failed: must call CalculateSize() first

reported in this link

http://forum.amule.org/index.php?topic=18228.msg99468#msg99468

Recompilation of wxgtk+ without the debug option (as you suggested Stu)
cured this problem.   :)

Thanks again.
Roger.
Logged

Kry

  • Ex-developer
  • Retired admin
  • Hero Member
  • *****
  • Karma: -665
  • Offline Offline
  • Posts: 5823
Re: aMule v.2.3.1rc2 compile error under Slackware v.13.0
« Reply #5 on: October 20, 2011, 07:46:33 AM »

It's not technically a solution tho.
Logged

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3764
  • Engines screaming
Re: aMule v.2.3.1rc2 compile error under Slackware v.13.0
« Reply #6 on: October 20, 2011, 08:29:38 PM »

Well, technically it's not a solution. The question is just if the problem is severe enough to justify throwing assertions. Obviously not.
It's like the lot of GTK "assertions" printed in the console because some gui element is half hidden or something alike.
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

Kry

  • Ex-developer
  • Retired admin
  • Hero Member
  • *****
  • Karma: -665
  • Offline Offline
  • Posts: 5823
Re: aMule v.2.3.1rc2 compile error under Slackware v.13.0
« Reply #7 on: October 20, 2011, 09:10:54 PM »

The problem IS a problem, just not an aMule problem. It's a wx bug that we trigger. Check 10629.
Logged